diff --git a/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java b/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
index 008b372e2c49bb0d88cc75cb74c59ec26001956b..cd3988944f44740af7d0f40e3e25be1ec2993c87 100644
--- a/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -80,7 +81,7 @@ public class ExamineRecovery extends CMSServlet {
         mService = (IKeyService) mAuthority;
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -122,7 +123,7 @@ public class ExamineRecovery extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -176,10 +177,10 @@ public class ExamineRecovery extends CMSServlet {
                     ServletOutputStream out = resp.getOutputStream();
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java b/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
index 4d3034741592bdf33efd47caffbb05ceff976db0..7d24c7ceb99e780e92652c4189179f113a9708bd 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
@@ -36,6 +36,7 @@ import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.security.Credential;
@@ -85,7 +86,7 @@ public class GetApprovalStatus extends CMSServlet {
         // mFormPath = "/"+authority.getId()+"/"+TPL_FILE;
         mService = (com.netscape.certsrv.kra.IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -120,14 +121,14 @@ public class GetApprovalStatus extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
         CMSTemplate form = null;
         Locale[] locale = new Locale[1];
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
@@ -230,6 +231,6 @@ public class GetApprovalStatus extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java b/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
index 65f8d293672994304872e6366da12a71ce3510b5..773b91e659fb5e8c92b53e4743a5a60bd193abbb 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
@@ -33,6 +33,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -89,7 +90,7 @@ public class GetAsyncPk12 extends CMSServlet {
         mFormPath = "/agent/" + mAuthority.getId() + "/" + TPL_FILE;
         mService = (com.netscape.certsrv.kra.IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -133,7 +134,7 @@ public class GetAsyncPk12 extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -149,7 +150,7 @@ public class GetAsyncPk12 extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
@@ -259,6 +260,6 @@ public class GetAsyncPk12 extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/key/GetPk12.java b/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
index e22a19b82f8345503e4fd983a7c408457b39d117..c79a82f4db6529217aa8ec784d6c405d7c226e45 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -88,7 +89,7 @@ public class GetPk12 extends CMSServlet {
         mFormPath = "/agent/" + mAuthority.getId() + "/" + TPL_FILE;
         mService = (com.netscape.certsrv.kra.IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -132,7 +133,7 @@ public class GetPk12 extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -148,7 +149,7 @@ public class GetPk12 extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
@@ -253,6 +254,6 @@ public class GetPk12 extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java b/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
index 5b5aaaf8ea961c0b686640fbb2e8145b83c648e3..410039133981c7a4c2edccb1cc653c373e2bb711 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
@@ -32,6 +32,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyService;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -81,7 +82,7 @@ public class GrantAsyncRecovery extends CMSServlet {
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
         mService = (IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -127,7 +128,7 @@ public class GrantAsyncRecovery extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -170,7 +171,7 @@ public class GrantAsyncRecovery extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java b/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
index 15d9999eeac05331fc00fb99a482adffb6055274..9d57fbe7c8f704d3af3f778be36dd2ae000a6486 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyService;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -84,7 +85,7 @@ public class GrantRecovery extends CMSServlet {
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
         mService = (IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -129,7 +130,7 @@ public class GrantRecovery extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -174,7 +175,7 @@ public class GrantRecovery extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java b/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
index 3b46d8e9192c465225c5afeb2ca7739cf737d840..7b961c0b2c8329eba9ae386cd2ef79b7bb16036d 100644
--- a/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
@@ -38,6 +38,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.security.Credential;
@@ -99,7 +100,7 @@ public class RecoverBySerial extends CMSServlet {
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
         mService = (com.netscape.certsrv.kra.IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -144,7 +145,7 @@ public class RecoverBySerial extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -160,7 +161,7 @@ public class RecoverBySerial extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
@@ -250,7 +251,7 @@ public class RecoverBySerial extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/key/SrchKey.java b/base/common/src/com/netscape/cms/servlet/key/SrchKey.java
index b249b663fa052e3d7d4a2caa5ae4787031aa5e24..5bedf1f588186ded0d3070eec1285961a26b0dde 100644
--- a/base/common/src/com/netscape/cms/servlet/key/SrchKey.java
+++ b/base/common/src/com/netscape/cms/servlet/key/SrchKey.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -116,7 +117,7 @@ public class SrchKey extends CMSServlet {
         mKeyDB = ((IKeyRecoveryAuthority) mAuthority).getKeyRepository();
         mAuthName = ((IKeyRecoveryAuthority) mAuthority).getX500Name();
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
@@ -168,7 +169,7 @@ public class SrchKey extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -230,7 +231,7 @@ public class SrchKey extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java b/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
index adb201c755720be2a29db7ebce20cb9e94d4d0af..897acfc764f5d72fad6710708b2cc40063578129 100644
--- a/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -114,7 +115,7 @@ public class SrchKeyForRecovery extends CMSServlet {
         mKeyDB = ((IKeyRecoveryAuthority) mAuthority).getKeyRepository();
         mAuthName = ((IKeyRecoveryAuthority) mAuthority).getX500Name();
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
@@ -166,7 +167,7 @@ public class SrchKeyForRecovery extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -233,10 +234,10 @@ public class SrchKeyForRecovery extends CMSServlet {
                     ServletOutputStream out = resp.getOutputStream();
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java b/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
index fef1a2e5cc8f04ac5e6c286cd9f2a931589a5104..f19a9d646d1b255d574b13e7368ab1bcdc417e43 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
@@ -33,6 +33,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
@@ -88,7 +89,7 @@ public class AddCAServlet extends CMSServlet {
         // override success to display own output.
 
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mOCSPAuthority = (IOCSPAuthority) mAuthority;
 
         if (mOutputTemplatePath != null)
@@ -129,7 +130,7 @@ public class AddCAServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -298,7 +299,7 @@ public class AddCAServlet extends CMSServlet {
             } else {
                 resp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java b/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java
index c144d6e3963a7de7acc79e34ce6697a3fd5ea153..ac1aad373d0575c2c787db2f1cea8641fda8abe9 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java
@@ -41,6 +41,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.dbs.repository.IRepositoryRecord;
 import com.netscape.certsrv.logging.AuditFormat;
@@ -95,7 +96,7 @@ public class AddCRLServlet extends CMSServlet {
         // override success to display own output.
 
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mOCSPAuthority = (IOCSPAuthority) mAuthority;
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -147,7 +148,7 @@ public class AddCRLServlet extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
@@ -432,7 +433,7 @@ public class AddCRLServlet extends CMSServlet {
                         resp.getOutputStream().write(
                                 "error=Sent CRL is older than the current CRL\n".getBytes());
                         resp.getOutputStream().flush();
-                        cmsReq.setStatus(CMSRequest.SUCCESS);
+                        cmsReq.setStatus(ICMSRequest.SUCCESS);
 
                         // NOTE:  The signed audit events
                         //        LOGGING_SIGNED_AUDIT_CRL_RETRIEVAL and
@@ -466,7 +467,7 @@ public class AddCRLServlet extends CMSServlet {
                         resp.getOutputStream().write(
                                 "error=Delta CRLs are not supported.\n".getBytes());
                         resp.getOutputStream().flush();
-                        cmsReq.setStatus(CMSRequest.SUCCESS);
+                        cmsReq.setStatus(ICMSRequest.SUCCESS);
 
                         return;
                     } catch (Exception e) {
@@ -519,7 +520,7 @@ public class AddCRLServlet extends CMSServlet {
                     resp.setContentType("application/text");
                     resp.getOutputStream().write("status=0".getBytes());
                     resp.getOutputStream().flush();
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 } else {
                     CMS.debug("AddCRLServlet: return result noUI=false");
                     String xmlOutput = req.getParameter("xml");
@@ -528,7 +529,7 @@ public class AddCRLServlet extends CMSServlet {
                     } else {
                         resp.setContentType("text/html");
                         form.renderOutput(out, argSet);
-                        cmsReq.setStatus(CMSRequest.SUCCESS);
+                        cmsReq.setStatus(ICMSRequest.SUCCESS);
                     }
                 }
             } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java b/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
index cbe9283d3d6883bef93b37ffaf1384084f6d7a76..8f44bf7397910d06ca02a534b1169f68f7cf0aea 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
@@ -91,7 +92,7 @@ public class CheckCertServlet extends CMSServlet {
         // override success to display own output.
 
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mOCSPAuthority = (IOCSPAuthority) mAuthority;
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -123,7 +124,7 @@ public class CheckCertServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -204,7 +205,7 @@ public class CheckCertServlet extends CMSServlet {
             } else {
                 resp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java b/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java
index 65c16d817f9cada58039ec623fee668de6b56e71..593f2de88ebe689cb2e1dd97562251e78f3584f9 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java
@@ -32,6 +32,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ocsp.IOCSPService;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -71,7 +72,7 @@ public class GetOCSPInfo extends CMSServlet {
         // coming from agent
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
@@ -102,7 +103,7 @@ public class GetOCSPInfo extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -110,7 +111,7 @@ public class GetOCSPInfo extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -124,7 +125,7 @@ public class GetOCSPInfo extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -149,15 +150,15 @@ public class GetOCSPInfo extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java b/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
index b2365d0091a66fb99a2beba747702231884a8dcd..4894c574adcaf28f215419580c0ff18f5fc24191 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ocsp.IDefStore;
@@ -79,7 +80,7 @@ public class ListCAServlet extends CMSServlet {
         // override success to display own output.
 
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mOCSPAuthority = (IOCSPAuthority) mAuthority;
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -107,7 +108,7 @@ public class ListCAServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -186,7 +187,7 @@ public class ListCAServlet extends CMSServlet {
             } else {
                 resp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java b/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java
index 1e1b649e682cbc59fcff1e2dda251b890f0e21ce..940bf657c6febdb9ec01757daa2f1a49ac2ee2be 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.ocsp.IOCSPService;
 import com.netscape.certsrv.util.IStatsSubsystem;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -117,7 +118,7 @@ public class OCSPServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
